> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/user-login-modes.md).

# User Login Modes

## GET /api/Public/UserLoginModes/GetUserLoginModes

> User login modes \[GET]

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"UserLoginModes"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SubsIdDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.SubsIdDto":{"type":"object","properties":{"subscriberID":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"parentID":{"type":"integer","format":"int32"},"isEmailVerified":{"type":"boolean"},"isInternalUser":{"type":"boolean"},"loginModes":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.LoginModeDto"},"nullable":true},"idpDetails":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.IDPDetailsDto"},"trustedLogins":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.TrustedLoginDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.LoginModeDto":{"type":"object","properties":{"loginID":{"type":"integer","format":"int32"},"loginType":{"type":"string","nullable":true},"subscriberID":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.IDPDetailsDto":{"type":"object","properties":{"issuer":{"type":"string","nullable":true},"loginURL":{"type":"string","nullable":true},"loginRequest":{"type":"integer","format":"int32"},"logoutURL":{"type":"string","nullable":true},"logoutRequest":{"type":"integer","format":"int32"},"certificate":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.TrustedLoginDto":{"type":"object","properties":{"rulename":{"type":"string","nullable":true},"startIPAddress":{"type":"string","nullable":true},"endIPAddress":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/UserLoginModes/GetUserLoginModes":{"get":{"tags":["UserLoginModes"],"parameters":[{"name":"emailId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"User login modes [GET]","operationId":"get_UserLoginModes_GetUserLoginModes"}}}}
```

## POST /api/Public/UserLoginModes/GetUserLoginModes

> User login modes \[POST]

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"UserLoginModes"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.GetUserLoginModesRequest":{"required":["emailId"],"type":"object","properties":{"emailId":{"maxLength":100,"minLength":0,"type":"string","format":"email"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SubsIdDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.SubsIdDto":{"type":"object","properties":{"subscriberID":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"parentID":{"type":"integer","format":"int32"},"isEmailVerified":{"type":"boolean"},"isInternalUser":{"type":"boolean"},"loginModes":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.LoginModeDto"},"nullable":true},"idpDetails":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.IDPDetailsDto"},"trustedLogins":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.TrustedLoginDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.LoginModeDto":{"type":"object","properties":{"loginID":{"type":"integer","format":"int32"},"loginType":{"type":"string","nullable":true},"subscriberID":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.IDPDetailsDto":{"type":"object","properties":{"issuer":{"type":"string","nullable":true},"loginURL":{"type":"string","nullable":true},"loginRequest":{"type":"integer","format":"int32"},"logoutURL":{"type":"string","nullable":true},"logoutRequest":{"type":"integer","format":"int32"},"certificate":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.TrustedLoginDto":{"type":"object","properties":{"rulename":{"type":"string","nullable":true},"startIPAddress":{"type":"string","nullable":true},"endIPAddress":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/UserLoginModes/GetUserLoginModes":{"post":{"tags":["UserLoginModes"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.GetUserLoginModesRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubsIdDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"User login modes [POST]","operationId":"post_UserLoginModes_GetUserLoginModes"}}}}
```
